# Uses of Enum Class
com.destroystokyo.paper.entity.villager.ReputationType

Packages that use ReputationType
Package
Description
com.destroystokyo.paper.entity.villager

## Uses of ReputationType in com.destroystokyo.paper.entity.villager

Methods in com.destroystokyo.paper.entity.villager that return ReputationType
Modifier and Type
Method
Description
`static ReputationType`
ReputationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ReputationType[]`
ReputationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.destroystokyo.paper.entity.villager with parameters of type ReputationType
Modifier and Type
Method
Description
`int`
Reputation.`getReputation(@NotNull ReputationType type)`
Gets the reputation value for a specific `ReputationType`.
`boolean`
Reputation.`hasReputationSet(@NotNull ReputationType type)`
Gets if a reputation value is currently set for a specific `ReputationType`.
`void`
Reputation.`setReputation(@NotNull ReputationType type, int value)`
Sets the reputation value for a specific `ReputationType`.
Constructor parameters in com.destroystokyo.paper.entity.villager with type arguments of type ReputationType
Modifier
Constructor
Description
``
`Reputation(@NotNull Map<ReputationType,Integer> reputation)`